v1-platform
Participant Session State
Participant Session State
curl --request GET \
--url https://api.example.com/v1/participant/session \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/participant/session"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/participant/session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"branding": {
"display_name": "<string>",
"primary_color": "<string>"
},
"consent": {
"notice_text": "<string>",
"notice_version": "<string>",
"purpose": "<string>"
},
"consented": true,
"evaluation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expires_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"locale": "<string>",
"renderer_mode": "hosted",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"voice_processing_consent": {
"notice_text": "<string>",
"notice_version": "<string>",
"purpose": "<string>"
},
"voice_processing_consented": true
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}Authorizations
Short-lived token bound to one participant session.
Response
Successful Response
Participant-safe branding pinned by an immutable experience version.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
hosted, embedded, hosted_or_embedded Available options:
active, completed, revoked, expired Show child attributes
Show child attributes
⌘I
Participant Session State
